using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

/// <summary>
/// 办理方式
/// </summary>
public enum EHandleMode
{
    /// <summary>
    /// 正常办理
    /// </summary>
    [Description("正常")]
    Normal = 0,

    /// <summary>
    /// 跨级派单
    /// </summary>
    [Description("跨级派单")]
    CrossLevel = 1,

    /// <summary>
    /// 审核通过(审批流程特有)
    /// </summary>
    [Description("审核通过")]
    Approved = 20,

    /// <summary>
    /// 审核不通过(审批流程特有)
    /// </summary>
    [Description("审核不通过")]
    NotApproved = 21,

    /// <summary>
    /// 退回
    /// </summary>
    [Description("退回")]
    Previous = 100,

	/// <summary>
	/// 省12315平台退回
	/// </summary>
	[Description("省12315平台退回")]
	ProvinceHandlePrevious = 101,

	/// <summary>
	/// 退回不显示
	/// </summary>
	[Description("退回不显示")]
	PreviousNoDisplay = 199,

	/// <summary>
	/// 特提
	/// </summary>
	[Description("特提")]
    Recall = 200,

    /// <summary>
    /// 重办
    /// </summary>
    [Description("重办")]
    Redo = 201,

    /// <summary>
    /// 二次办理
    /// </summary>
    [Description("二次办理")]
    SecondaryHandle = 202,

    /// <summary>
    /// 发布退回
    /// </summary>
    [Description("发布退回")]
    PublishPrevious = 203,

	/// <summary>
	/// 撤销
	/// </summary>
	[Description("撤销")]
	Revocation = 204,
}